Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		mdcp
#Epoch:		0
Version:	0.1.2.2
Release:	1
License:	GNU/GPL-v3
URL:		http://mdcp.sourceforge.net/
Group:		System/Utilities
Summary:	multi-copy device utility
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
mdcp is a command-line utility for *nix that provide to copy from a disk device to many. The data transfer rate is improved by making use of a much more efficient use of the disks transfer rate.

The origin data is read only once, and is replicated in the destination devices. All working in parallel: all disks working at the same time, almost without interruption.

Thus, the time to copy between devices falls considerably in relation to others existing utilities used to same propose - such as "dd".

This system was developed aiming to reduce the time of the cloning of discs with pre-installed operating systems for multiple machines, but can be used for a big variety of porpouses.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sbindir}/mdcp
%{_mandir}/man1/mdcp.1.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 17 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.1.2.2-1
- initial CCux package release
